GNU bug report logs - #43166
The issues.guix.gnu.org is hard to read in emacs-w3m.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Vitaliy Shatrov <guix.vits@HIDDEN>; dated Wed, 2 Sep 2020 05:15:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 15 Sep 2020 10:30:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 06:30:00 2020
Received: from localhost ([127.0.0.1]:57315 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI8Do-0005ET-AV
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:30:00 -0400
Received: from world.peace.net ([64.112.178.59]:39518)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kI8Di-0005Dy-2h
 for 43166 <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:29:54 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kI8Dc-0000MF-DS; Tue, 15 Sep 2020 06:29:48 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <87wo0vbb46.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN> <87wo0vbb46.fsf@HIDDEN>
Date: Tue, 15 Sep 2020 06:28:31 -0400
Message-ID: <87pn6nbafp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: bug-guix@HIDDEN, Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Earlier, I wrote:
> However, I've noticed that in Dillo with CSS disabled, generating a
> 'pre' for each line makes the line spacing larger than would be ideal.
> It seems that some vertical padding or margins are added around each
> 'pre'.  It's likely that many browsers do this in their default styling
> for 'pre'.  With this in mind, it would perhaps be better to wrap a
> single 'pre' around each message.  Then you could either (1) leave the
> lines as 'span's and add a raw CR-LF after each line (which would make
> the HTML source code more readable) or (2) change the 'span's to 'div's
> as in your proposed patch.

Actually, I just found by experimentation that option (2) above doesn't
work well in either Lynx or Dillo.  Option (1) works well in the simple
browsers I've tried so far, which are Lynx, Dillo, Netsurf, and Eww.

       Mark



--=-=-=
Content-Type: text/html
Content-Disposition: attachment; filename=test1.html
Content-Description: Example HTML for Option 1

<html>
  <head>
    <title>test</title>
  </head>
  <body>
    <pre><span>line1</span>
<span>    line2</span>
<span>  line3</span>
<span>line4</span>
</pre>
  </body>
</html>

--=-=-=
Content-Type: text/html
Content-Disposition: attachment; filename=test2.html
Content-Description: Example HTML for Option 2

<html>
  <head>
    <title>test</title>
  </head>
  <body>
    <pre><div>line1</div><div>    line2</div><div>  line3</div><div>line4</div></pre>
  </body>
</html>

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 10:29:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 06:29:54 2020
Received: from localhost ([127.0.0.1]:57312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI8Di-0005E9-0h
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:29:54 -0400
Received: from lists.gnu.org ([209.51.188.17]:38798)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kI8Df-0005E1-TT
 for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:29:52 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49290)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mhw@HIDDEN>) id 1kI8Df-0007mQ-MF
 for bug-guix@HIDDEN; Tue, 15 Sep 2020 06:29:51 -0400
Received: from world.peace.net ([64.112.178.59]:57598)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mhw@HIDDEN>) id 1kI8Dd-0002Pj-TZ
 for bug-guix@HIDDEN; Tue, 15 Sep 2020 06:29:51 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kI8Dc-0000MF-DS; Tue, 15 Sep 2020 06:29:48 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <87wo0vbb46.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN> <87wo0vbb46.fsf@HIDDEN>
Date: Tue, 15 Sep 2020 06:28:31 -0400
Message-ID: <87pn6nbafp.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
Received-SPF: pass client-ip=64.112.178.59; envelope-from=mhw@HIDDEN;
 helo=world.peace.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/15 06:15:09
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, HTML_MESSAGE=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_HTML_ATTACH=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain

Earlier, I wrote:
> However, I've noticed that in Dillo with CSS disabled, generating a
> 'pre' for each line makes the line spacing larger than would be ideal.
> It seems that some vertical padding or margins are added around each
> 'pre'.  It's likely that many browsers do this in their default styling
> for 'pre'.  With this in mind, it would perhaps be better to wrap a
> single 'pre' around each message.  Then you could either (1) leave the
> lines as 'span's and add a raw CR-LF after each line (which would make
> the HTML source code more readable) or (2) change the 'span's to 'div's
> as in your proposed patch.

Actually, I just found by experimentation that option (2) above doesn't
work well in either Lynx or Dillo.  Option (1) works well in the simple
browsers I've tried so far, which are Lynx, Dillo, Netsurf, and Eww.

       Mark



--=-=-=
Content-Type: text/html
Content-Disposition: attachment; filename=test1.html
Content-Description: Example HTML for Option 1

<html>
  <head>
    <title>test</title>
  </head>
  <body>
    <pre><span>line1</span>
<span>    line2</span>
<span>  line3</span>
<span>line4</span>
</pre>
  </body>
</html>

--=-=-=
Content-Type: text/html
Content-Disposition: attachment; filename=test2.html
Content-Description: Example HTML for Option 2

<html>
  <head>
    <title>test</title>
  </head>
  <body>
    <pre><div>line1</div><div>    line2</div><div>  line3</div><div>line4</div></pre>
  </body>
</html>

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 15 Sep 2020 10:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 06:15:15 2020
Received: from localhost ([127.0.0.1]:57286 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI7zX-0004nS-IX
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:15:15 -0400
Received: from world.peace.net ([64.112.178.59]:39474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kI7zW-0004nD-2O
 for 43166 <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:15:14 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kI7zQ-0000Bf-86; Tue, 15 Sep 2020 06:15:08 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <874ko0xby5.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN>
Date: Tue, 15 Sep 2020 06:13:50 -0400
Message-ID: <87wo0vbb46.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: bug-guix@HIDDEN, Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Ricardo Wurmus <rekado@HIDDEN> writes:

>> On Mon, 14 Sep 2020 at 22:58, Mark H Weaver <mhw@HIDDEN> wrote:
>>
>>> For what it's worth: not everyone uses Emacs, and it would be good to
>>> support users who choose to use simpler software.  I guess that it would
>>> be quite easy to modify the software behind 'issues.guix.gnu.org' to
>>> generate HTML that works well with simpler web browsers, so I'd prefer
>>> to keep this bug open.  What do you think?
[...]
> As the primary author of mumi (the software behind issues.guix.gnu.org)
> I agree with Mark and think this is worth fixing.  [...]

Thank you, Ricardo.

> There is no good reason why this should not be usable by people who use
> a simpler browser (I=E2=80=99m one of these people on some days).  If it =
turns
> out to be tricky to implement or to cause a degraded experience for
> those who use popular browsers we can still close this, but I think we
> should at least try.

Fair enough.

Thanks also for your proposed patch to change some spans to divs.  It's
a significant improvement, but there remains a very serious problem:
multiple spaces are being collapsed into a single space, and leading
spaces are lost entirely.  This destroys the indentation of all inline
code and patches.  The two solutions I know are (1) to generate 'pre'
elements, or (2) to convert leading spaces and runs of two or more
spaces into runs of 'nbsp' entities.

(I'm deliberately avoiding HTML syntax in this email, for fear that some
email clients may try to render it).

My suggestion would be to generate 'pre' elements.  It would avoid runs
of 'nbsp' entites making the raw html larger and harder to read.  It
would also ensure that a fixed width font is used.

My first thought was to simply modify your patch to change the 'span's
with class "line" into 'pre's instead of 'div's.  If 'pre' comes with
default styling that you don't like, perhaps it could be overridden by
additional code in screen.css.  I guess this approach would likely work
well enough in practice.

However, I've noticed that in Dillo with CSS disabled, generating a
'pre' for each line makes the line spacing larger than would be ideal.
It seems that some vertical padding or margins are added around each
'pre'.  It's likely that many browsers do this in their default styling
for 'pre'.  With this in mind, it would perhaps be better to wrap a
single 'pre' around each message.  Then you could either (1) leave the
lines as 'span's and add a raw CR-LF after each line (which would make
the HTML source code more readable) or (2) change the 'span's to 'div's
as in your proposed patch.

Another issue, which affects Dillo, is that ASCII apostrophes (') are
being converted to 'apos' entities, which are not valid HTML 4.  Dillo
renders these as the raw source, namely "&" followed by "apos" and ";",
which corrupts English text.  I suggest removing the third entry in
%escape-chars in (mumi web sxml).  Is there a reason to keep it?

What do you think?

   Thanks again,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 10:15:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 06:15:22 2020
Received: from localhost ([127.0.0.1]:57288 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI7ze-0004nn-1d
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:15:22 -0400
Received: from lists.gnu.org ([209.51.188.17]:52162)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kI7zV-0004nK-PV
 for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 06:15:17 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45956)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mhw@HIDDEN>) id 1kI7zV-0000To-K3
 for bug-guix@HIDDEN; Tue, 15 Sep 2020 06:15:13 -0400
Received: from world.peace.net ([64.112.178.59]:57554)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mhw@HIDDEN>) id 1kI7zS-0000VZ-H7
 for bug-guix@HIDDEN; Tue, 15 Sep 2020 06:15:12 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kI7zQ-0000Bf-86; Tue, 15 Sep 2020 06:15:08 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>, zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <874ko0xby5.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN>
Date: Tue, 15 Sep 2020 06:13:50 -0400
Message-ID: <87wo0vbb46.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=64.112.178.59; envelope-from=mhw@HIDDEN;
 helo=world.peace.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/15 06:15:09
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Ricardo Wurmus <rekado@HIDDEN> writes:

>> On Mon, 14 Sep 2020 at 22:58, Mark H Weaver <mhw@HIDDEN> wrote:
>>
>>> For what it's worth: not everyone uses Emacs, and it would be good to
>>> support users who choose to use simpler software.  I guess that it would
>>> be quite easy to modify the software behind 'issues.guix.gnu.org' to
>>> generate HTML that works well with simpler web browsers, so I'd prefer
>>> to keep this bug open.  What do you think?
[...]
> As the primary author of mumi (the software behind issues.guix.gnu.org)
> I agree with Mark and think this is worth fixing.  [...]

Thank you, Ricardo.

> There is no good reason why this should not be usable by people who use
> a simpler browser (I=E2=80=99m one of these people on some days).  If it =
turns
> out to be tricky to implement or to cause a degraded experience for
> those who use popular browsers we can still close this, but I think we
> should at least try.

Fair enough.

Thanks also for your proposed patch to change some spans to divs.  It's
a significant improvement, but there remains a very serious problem:
multiple spaces are being collapsed into a single space, and leading
spaces are lost entirely.  This destroys the indentation of all inline
code and patches.  The two solutions I know are (1) to generate 'pre'
elements, or (2) to convert leading spaces and runs of two or more
spaces into runs of 'nbsp' entities.

(I'm deliberately avoiding HTML syntax in this email, for fear that some
email clients may try to render it).

My suggestion would be to generate 'pre' elements.  It would avoid runs
of 'nbsp' entites making the raw html larger and harder to read.  It
would also ensure that a fixed width font is used.

My first thought was to simply modify your patch to change the 'span's
with class "line" into 'pre's instead of 'div's.  If 'pre' comes with
default styling that you don't like, perhaps it could be overridden by
additional code in screen.css.  I guess this approach would likely work
well enough in practice.

However, I've noticed that in Dillo with CSS disabled, generating a
'pre' for each line makes the line spacing larger than would be ideal.
It seems that some vertical padding or margins are added around each
'pre'.  It's likely that many browsers do this in their default styling
for 'pre'.  With this in mind, it would perhaps be better to wrap a
single 'pre' around each message.  Then you could either (1) leave the
lines as 'span's and add a raw CR-LF after each line (which would make
the HTML source code more readable) or (2) change the 'span's to 'div's
as in your proposed patch.

Another issue, which affects Dillo, is that ASCII apostrophes (') are
being converted to 'apos' entities, which are not valid HTML 4.  Dillo
renders these as the raw source, namely "&" followed by "apos" and ";",
which corrupts English text.  I suggest removing the third entry in
%escape-chars in (mumi web sxml).  Is there a reason to keep it?

What do you think?

   Thanks again,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 15 Sep 2020 09:52:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 15 05:52:06 2020
Received: from localhost ([127.0.0.1]:57260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kI7d7-0004Dx-Rr
	for submit <at> debbugs.gnu.org; Tue, 15 Sep 2020 05:52:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:34536)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1kI7d3-0004DQ-M5
 for 43166 <at> debbugs.gnu.org; Tue, 15 Sep 2020 05:52:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:41593)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <janneke@HIDDEN>)
 id 1kI7cw-00066w-A9; Tue, 15 Sep 2020 05:51:54 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=38090
 helo=dundal.janneke.lilypond.org)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1kI7cu-0007qC-Eb; Tue, 15 Sep 2020 05:51:53 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Ricardo Wurmus <rekado@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
Organization: AvatarAcademy.nl
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN> <87v9gfx2zl.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 15 Sep 2020 11:51:20 +0200
In-Reply-To: <87v9gfx2zl.fsf@HIDDEN> (Ricardo Wurmus's message of "Tue,
 15 Sep 2020 03:06:38 +0200")
Message-ID: <87y2lb5pwn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43166
Cc: 43166 <at> debbugs.gnu.org, guix.vits@HIDDEN, maxim.cournoyer@HIDDEN,
 zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Ricardo Wurmus writes:

> The attached patch seems to fix the worst problems.

Ohh...thank you!!!  This makes issues at least readable in EWW.

It's a bit annoying to change issues URLs into bugs.gnu.org urls and
this also made me reluctant to share issues URLs -- altough I greatly
appreciate all the work you have been doing here: in heavyweight modern
mouse-shoving-browsers --that I personally try to avoid-- it really
looks beautiful.

> What do you think?

It seems that EWW ignores =E2=80=99monospace=E2=80=99...

-.message span.line {
+.message div.line {
     white-space: pre-wrap;
     font-family: monospace;
     display: block;
 }

... here, or otherwise "eats" spaces; so diffs/patches are still a bit
annoying to read.  Ideas?

Greetings,
Janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 15 Sep 2020 01:05:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 21:05:36 2020
Received: from localhost ([127.0.0.1]:56702 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHzPb-0007YN-Fl
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 21:05:35 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kHzPX-0007Y5-EX
 for 43166 <at> debbugs.gnu.org; Mon, 14 Sep 2020 21:05:33 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1600131922; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=XxmJQgxaT1c7pSA4pL/4EEC11nwpio36C1QO6x7HRfRHoitAZVHmlNNRq4rLAzYbchitqbsUwNgBxYTieceZ1SAbcd7qgw9NqtYU89oEHPG1ezXKMlGhYkPin9Z7uTQM8pnRtknqbGYHui3NDE4S06su/FZSoBez4MPfd7hqJJg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1600131922;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=oV22Fy3c0WxGtgH6aM95E42NszsSfIkNFzV3PcipB+s=; 
 b=bTKuD91DEKQU9D8eMr7XqzU/TOQElBmei7G6KuJJ87EOuyGYL4V1HwkPB0JeCKeVW+w7gANqBKxvaROphzQuE4cfPYGD/ZANBOS5qa1Z4dpM7onCodNbLXXsl1urnLQYQuCFJR9B/vZ2OnVrliwygFlkADmclxwhsNbwW5EG2Zc=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600131922; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=oV22Fy3c0WxGtgH6aM95E42NszsSfIkNFzV3PcipB+s=;
 b=U+avxa4pl4ytDyCBQuWZ/gUW0zKvfqzP+keC4TxtYG7y5HjdIFby8OD3afC7ZBbG
 b6tbfCZsu7MGrUoAEwJiGm2T2qWLNrrXzl1OgWcMTrhJZj8NZtZDtTHx7G8aZIyICuH
 KDMeGyYtgLgn68N3AAm+yuR/czPTX2CgJ7Xn30vg=
Received: from localhost (p54ad4ca1.dip0.t-ipconnect.de [84.173.76.161]) by
 mx.zohomail.com with SMTPS id 1600131920836417.52301185900774;
 Mon, 14 Sep 2020 18:05:20 -0700 (PDT)
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-reply-to: <874ko0xby5.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 15 Sep 2020 03:06:38 +0200
Message-ID: <87v9gfx2zl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-ZohoMailClient: External
X-Zoho-Virus-Status: 1
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: Mark H Weaver <mhw@HIDDEN>, bug-guix@HIDDEN,
 Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

The attached patch seems to fix the worst problems.

I=E2=80=99m marking up each line in a message with a =E2=80=9Cspan=E2=80=9D=
 tag and a =E2=80=9Cline=E2=80=9D
class; then I use CSS to visually separate the lines.  Simple browsers
that don=E2=80=99t support this CSS rely on =E2=80=9Cspan=E2=80=9D to be an=
 inline tag; likewise
they rely on =E2=80=9Cdiv=E2=80=9D to be a block tag, no matter what the CS=
S might say.

So the attached patch changes the tag from =E2=80=9Cspan=E2=80=9D to =E2=80=
=9Cdiv=E2=80=9D, so simple
browsers will render each line on their own instead of joining them.
This seems to have no negative impact on the rendering in other
browsers.  It also shouldn=E2=80=99t be a problem going forward, as popular
powerful browsers allow me to style these =E2=80=9Cdiv=E2=80=9D tags without
limitations.

What do you think?

--=20
Ricardo



--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=p.patch

diff --git a/assets/css/screen.css b/assets/css/screen.css
index 684bc01..5d8513d 100644
--- a/assets/css/screen.css
+++ b/assets/css/screen.css
@@ -353,28 +353,28 @@ details {
     display: none;
 }
 
-.message span.line {
+.message div.line {
     white-space: pre-wrap;
     font-family: monospace;
     display: block;
 }
 
 /* diff styles */
-.message .diff span.line.diff.file {
+.message .diff div.line.diff.file {
     color: #005cc5;
 }
-.message .diff span.line.diff.separator {
+.message .diff div.line.diff.separator {
     color: #005cc5;
 }
-.message .diff span.line.diff.addition {
+.message .diff div.line.diff.addition {
     color: #22863a;
     background-color: #f0fff4;
 }
-.message .diff span.line.diff.deletion {
+.message .diff div.line.diff.deletion {
     color: #b31d28;
     background-color: #ffeef0;
 }
-.message .diff span.line.diff.range {
+.message .diff div.line.diff.range {
     color: #6f42c1;
     font-weight: bold;
 }
@@ -394,7 +394,7 @@ details {
 }
 
 /* quote styles */
-.message .quote span.line {
+.message .quote div.line {
     color: #3868cc;
 }
 
diff --git a/mumi/web/view/utils.scm b/mumi/web/view/utils.scm
index 3c95644..4a4ecb0 100644
--- a/mumi/web/view/utils.scm
+++ b/mumi/web/view/utils.scm
@@ -68,7 +68,7 @@ with the next context."
        (if (string-prefix? "--8<---------------cut here" line)
            (values blocks #f)
            (values (cons (add-block-line! block
-                                          `(span (@ (class "line")) ,line))
+                                          `(div (@ (class "line")) ,line))
                          other-blocks)
                    context)))
       ((eq? context 'diff)
@@ -79,17 +79,17 @@ with the next context."
            (let ((formatted-line
                   (cond
                    ((string= "---" line)
-                    `(span (@ (class "line diff separator")) ,line))
+                    `(div (@ (class "line diff separator")) ,line))
                    ((string-prefix? "+" line)
-                    `(span (@ (class "line diff addition")) ,line))
+                    `(div (@ (class "line diff addition")) ,line))
                    ((and (string-prefix? "-" line)
                          (not (string= "--" line))
                          (not (string= "-- " line)))
-                    `(span (@ (class "line diff deletion")) ,line))
+                    `(div (@ (class "line diff deletion")) ,line))
                    ((string-prefix? "@@" line)
-                    `(span (@ (class "line diff range")) ,line))
+                    `(div (@ (class "line diff range")) ,line))
                    (else
-                    `(span (@ (class "line")) ,line)))))
+                    `(div (@ (class "line")) ,line)))))
              (values (cons (add-block-line! block formatted-line)
                            other-blocks)
                      context))))
@@ -97,7 +97,7 @@ with the next context."
        (if (string-prefix? ">" line)
            ;; Add line to current block
            (values (cons (add-block-line! block
-                                          `(span (@ (class "line")) ,line))
+                                          `(div (@ (class "line")) ,line))
                          other-blocks)
                    context)
            ;; Retry
@@ -124,28 +124,28 @@ with the next context."
                           ((uri-string . rest)
                            (or (and=> (string->uri uri-string)
                                       (lambda (uri)
-                                        `(span (@ (class "line"))
-                                               ,(string-trim-right pre #\<)
-                                               (a (@ (href ,uri-string))
-                                                  ,uri-string)
-                                               ,(string-join rest " "))))
-                               `(span (@ (class "line")) ,line)))))))
+                                        `(div (@ (class "line"))
+                                              ,(string-trim-right pre #\<)
+                                              (a (@ (href ,uri-string))
+                                                 ,uri-string)
+                                              ,(string-join rest " "))))
+                               `(div (@ (class "line")) ,line)))))))
                ((or (string-prefix? "Signed-off-by" line)
                     (string-prefix? "Co-authored-by" line))
-                `(span (@ (class "line commit attribution")) ,line))
+                `(div (@ (class "line commit attribution")) ,line))
                ((or (string-prefix? "From: " line)
                     (string-prefix? "Date: " line)
                     (string-prefix? "Subject: " line))
-                `(span (@ (class "line commit header")) ,line))
+                `(div (@ (class "line commit header")) ,line))
                ((or (string-prefix? "* " line)
                     (string-prefix? " * " line))
-                `(span (@ (class "line commit changelog")) ,line))
+                `(div (@ (class "line commit changelog")) ,line))
                ((string-prefix? "diff --git" line)
-                `(span (@ (class "line diff file")) ,line))
+                `(div (@ (class "line diff file")) ,line))
                ((string-prefix? "--8<---------------cut here" line)
                 "")
                (else
-                `(span (@ (class "line")) ,line)))))
+                `(div (@ (class "line")) ,line)))))
          (if (eq? new-context context)
              (values (cons (add-block-line! block formatted-line)
                            other-blocks)

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2020 01:05:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 21:05:35 2020
Received: from localhost ([127.0.0.1]:56700 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHzPb-0007YL-37
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 21:05:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:43030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kHzPX-0007Y6-Bv
 for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 21:05:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50874)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kHzPW-0001X9-MV
 for bug-guix@HIDDEN; Mon, 14 Sep 2020 21:05:31 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21142)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kHzPT-0003ff-Tr
 for bug-guix@HIDDEN; Mon, 14 Sep 2020 21:05:30 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1600131922; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=XxmJQgxaT1c7pSA4pL/4EEC11nwpio36C1QO6x7HRfRHoitAZVHmlNNRq4rLAzYbchitqbsUwNgBxYTieceZ1SAbcd7qgw9NqtYU89oEHPG1ezXKMlGhYkPin9Z7uTQM8pnRtknqbGYHui3NDE4S06su/FZSoBez4MPfd7hqJJg=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1600131922;
 h=Content-Type:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=oV22Fy3c0WxGtgH6aM95E42NszsSfIkNFzV3PcipB+s=; 
 b=bTKuD91DEKQU9D8eMr7XqzU/TOQElBmei7G6KuJJ87EOuyGYL4V1HwkPB0JeCKeVW+w7gANqBKxvaROphzQuE4cfPYGD/ZANBOS5qa1Z4dpM7onCodNbLXXsl1urnLQYQuCFJR9B/vZ2OnVrliwygFlkADmclxwhsNbwW5EG2Zc=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600131922; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type;
 bh=oV22Fy3c0WxGtgH6aM95E42NszsSfIkNFzV3PcipB+s=;
 b=U+avxa4pl4ytDyCBQuWZ/gUW0zKvfqzP+keC4TxtYG7y5HjdIFby8OD3afC7ZBbG
 b6tbfCZsu7MGrUoAEwJiGm2T2qWLNrrXzl1OgWcMTrhJZj8NZtZDtTHx7G8aZIyICuH
 KDMeGyYtgLgn68N3AAm+yuR/czPTX2CgJ7Xn30vg=
Received: from localhost (p54ad4ca1.dip0.t-ipconnect.de [84.173.76.161]) by
 mx.zohomail.com with SMTPS id 1600131920836417.52301185900774;
 Mon, 14 Sep 2020 18:05:20 -0700 (PDT)
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
 <874ko0xby5.fsf@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-reply-to: <874ko0xby5.fsf@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Tue, 15 Sep 2020 03:06:38 +0200
Message-ID: <87v9gfx2zl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-ZohoMailClient: External
X-Zoho-Virus-Status: 1
Received-SPF: pass client-ip=136.143.188.51; envelope-from=rekado@HIDDEN;
 helo=sender4-of-o51.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/14 15:46:00
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Mark H Weaver <mhw@HIDDEN>, bug-guix@HIDDEN,
 Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

The attached patch seems to fix the worst problems.

I=E2=80=99m marking up each line in a message with a =E2=80=9Cspan=E2=80=9D=
 tag and a =E2=80=9Cline=E2=80=9D
class; then I use CSS to visually separate the lines.  Simple browsers
that don=E2=80=99t support this CSS rely on =E2=80=9Cspan=E2=80=9D to be an=
 inline tag; likewise
they rely on =E2=80=9Cdiv=E2=80=9D to be a block tag, no matter what the CS=
S might say.

So the attached patch changes the tag from =E2=80=9Cspan=E2=80=9D to =E2=80=
=9Cdiv=E2=80=9D, so simple
browsers will render each line on their own instead of joining them.
This seems to have no negative impact on the rendering in other
browsers.  It also shouldn=E2=80=99t be a problem going forward, as popular
powerful browsers allow me to style these =E2=80=9Cdiv=E2=80=9D tags without
limitations.

What do you think?

--=20
Ricardo



--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=p.patch

diff --git a/assets/css/screen.css b/assets/css/screen.css
index 684bc01..5d8513d 100644
--- a/assets/css/screen.css
+++ b/assets/css/screen.css
@@ -353,28 +353,28 @@ details {
     display: none;
 }
 
-.message span.line {
+.message div.line {
     white-space: pre-wrap;
     font-family: monospace;
     display: block;
 }
 
 /* diff styles */
-.message .diff span.line.diff.file {
+.message .diff div.line.diff.file {
     color: #005cc5;
 }
-.message .diff span.line.diff.separator {
+.message .diff div.line.diff.separator {
     color: #005cc5;
 }
-.message .diff span.line.diff.addition {
+.message .diff div.line.diff.addition {
     color: #22863a;
     background-color: #f0fff4;
 }
-.message .diff span.line.diff.deletion {
+.message .diff div.line.diff.deletion {
     color: #b31d28;
     background-color: #ffeef0;
 }
-.message .diff span.line.diff.range {
+.message .diff div.line.diff.range {
     color: #6f42c1;
     font-weight: bold;
 }
@@ -394,7 +394,7 @@ details {
 }
 
 /* quote styles */
-.message .quote span.line {
+.message .quote div.line {
     color: #3868cc;
 }
 
diff --git a/mumi/web/view/utils.scm b/mumi/web/view/utils.scm
index 3c95644..4a4ecb0 100644
--- a/mumi/web/view/utils.scm
+++ b/mumi/web/view/utils.scm
@@ -68,7 +68,7 @@ with the next context."
        (if (string-prefix? "--8<---------------cut here" line)
            (values blocks #f)
            (values (cons (add-block-line! block
-                                          `(span (@ (class "line")) ,line))
+                                          `(div (@ (class "line")) ,line))
                          other-blocks)
                    context)))
       ((eq? context 'diff)
@@ -79,17 +79,17 @@ with the next context."
            (let ((formatted-line
                   (cond
                    ((string= "---" line)
-                    `(span (@ (class "line diff separator")) ,line))
+                    `(div (@ (class "line diff separator")) ,line))
                    ((string-prefix? "+" line)
-                    `(span (@ (class "line diff addition")) ,line))
+                    `(div (@ (class "line diff addition")) ,line))
                    ((and (string-prefix? "-" line)
                          (not (string= "--" line))
                          (not (string= "-- " line)))
-                    `(span (@ (class "line diff deletion")) ,line))
+                    `(div (@ (class "line diff deletion")) ,line))
                    ((string-prefix? "@@" line)
-                    `(span (@ (class "line diff range")) ,line))
+                    `(div (@ (class "line diff range")) ,line))
                    (else
-                    `(span (@ (class "line")) ,line)))))
+                    `(div (@ (class "line")) ,line)))))
              (values (cons (add-block-line! block formatted-line)
                            other-blocks)
                      context))))
@@ -97,7 +97,7 @@ with the next context."
        (if (string-prefix? ">" line)
            ;; Add line to current block
            (values (cons (add-block-line! block
-                                          `(span (@ (class "line")) ,line))
+                                          `(div (@ (class "line")) ,line))
                          other-blocks)
                    context)
            ;; Retry
@@ -124,28 +124,28 @@ with the next context."
                           ((uri-string . rest)
                            (or (and=> (string->uri uri-string)
                                       (lambda (uri)
-                                        `(span (@ (class "line"))
-                                               ,(string-trim-right pre #\<)
-                                               (a (@ (href ,uri-string))
-                                                  ,uri-string)
-                                               ,(string-join rest " "))))
-                               `(span (@ (class "line")) ,line)))))))
+                                        `(div (@ (class "line"))
+                                              ,(string-trim-right pre #\<)
+                                              (a (@ (href ,uri-string))
+                                                 ,uri-string)
+                                              ,(string-join rest " "))))
+                               `(div (@ (class "line")) ,line)))))))
                ((or (string-prefix? "Signed-off-by" line)
                     (string-prefix? "Co-authored-by" line))
-                `(span (@ (class "line commit attribution")) ,line))
+                `(div (@ (class "line commit attribution")) ,line))
                ((or (string-prefix? "From: " line)
                     (string-prefix? "Date: " line)
                     (string-prefix? "Subject: " line))
-                `(span (@ (class "line commit header")) ,line))
+                `(div (@ (class "line commit header")) ,line))
                ((or (string-prefix? "* " line)
                     (string-prefix? " * " line))
-                `(span (@ (class "line commit changelog")) ,line))
+                `(div (@ (class "line commit changelog")) ,line))
                ((string-prefix? "diff --git" line)
-                `(span (@ (class "line diff file")) ,line))
+                `(div (@ (class "line diff file")) ,line))
                ((string-prefix? "--8<---------------cut here" line)
                 "")
                (else
-                `(span (@ (class "line")) ,line)))))
+                `(div (@ (class "line")) ,line)))))
          (if (eq? new-context context)
              (values (cons (add-block-line! block formatted-line)
                            other-blocks)

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 14 Sep 2020 21:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 17:52:00 2020
Received: from localhost ([127.0.0.1]:56561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHwOG-0002iJ-FJ
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:52:00 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21181)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kHwOE-0002i3-P5
 for 43166 <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:51:59 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1600120311; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=fEFnWaDd3a55FKW3dzfTyTNy/ruCoYWGa0My4LEQ1Iacc52ZdYLmTsJn12hd5Lb4kdBUff5VI8o2Embab0puCooW99YxUvHj8HnOvpcIXzeDXIetXjXQ1btvX29O0lQiKYGW4wFOH1GKbpp27SdzSRKzsvrQsAZ0imZ3oKAIezc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1600120311;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=6rrFClMcP2HDrE94wqDGMPFhYX5MFednPcd9I2bmVxU=; 
 b=UOekNFC5Y3xEx4voHzMdJlgwSYoQrEupOkvUlHDYaR++z1NQ3hHr5WTJwQtH27pJ+KYv9ujtEXRYLvSza/I2ceTSXaOnPDri5SMdLkwb2azkDfIOiNXcOnqfcnpuObH1y5oMpj4VlG7wsJz2LoPnusUIBuP0YI1qEpecvIIK3as=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600120311; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=6rrFClMcP2HDrE94wqDGMPFhYX5MFednPcd9I2bmVxU=;
 b=ZjD/UjputrfviUfCDK9YkYNc5uEvgsdvEOZsBQp84eN8ZFJgXbzywVIndfki3Reo
 wKrLyzlhaaXczS5EJqZ0WXCnqOnhi1hXKC3C8UAv46RuFbx7fHXcKcxmmjirkiNKtcG
 aGTZLMw3u1slbpZtkg49l9EWjDL3vp5EHhk3Ok0o=
Received: from localhost (p54ad4c23.dip0.t-ipconnect.de [84.173.76.35]) by
 mx.zohomail.com with SMTPS id 1600120309568502.5500625327003;
 Mon, 14 Sep 2020 14:51:49 -0700 (PDT)
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-reply-to: <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 14 Sep 2020 23:53:06 +0200
Message-ID: <874ko0xby5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: Mark H Weaver <mhw@HIDDEN>, bug-guix@HIDDEN,
 Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


zimoun <zimon.toutoune@HIDDEN> writes:

> Dear Mark,
>
> On Mon, 14 Sep 2020 at 22:58, Mark H Weaver <mhw@HIDDEN> wrote:
>
>> For what it's worth: not everyone uses Emacs, and it would be good to
>> support users who choose to use simpler software.  I guess that it would
>> be quite easy to modify the software behind 'issues.guix.gnu.org' to
>> generate HTML that works well with simpler web browsers, so I'd prefer
>> to keep this bug open.  What do you think?
>
> I am not sure to understand.  Something that generates HTML that works
> well with simpler web browsers is <https://debbugs.gnu.org>, isn't it?
> From what I understand, the aim (and "raison d'=C3=A9tre) of
> <issues.guix.gnu.org> is to generate what is considered as "modern
> webapp".
>
> Therefore, what is the concrete request?
>
>  - read the Debbugs with a simple web browser?  Then the answer is
> <debbugs.gnu.org>.
>  - add a button in <issues.gnu.org> saying "simple html there" and
> redirecting to <debbugs.gnu.org>?  If yes, the source code to tweak is
> there <https://git.elephly.net/gitweb.cgi?p=3Dsoftware/mumi.git> and I
> agree it would be quite easy; I will give a try if no one beats me.
> :-)

As the primary author of mumi (the software behind issues.guix.gnu.org)
I agree with Mark and think this is worth fixing.  I don=E2=80=99t want peo=
ple
to have to use debbugs.gnu.org with its different features when we could
just make issues.guix.gnu.org do the right thing on simpler browsers.

issues.guix.gnu.org is supposed to offer a =E2=80=9Csuperior=E2=80=9D exper=
ience to
debbugs.gnu.org =E2=80=94 it is supposed to be sufficient to replace it, no=
t to
be merely an alternative view; while a primarily goal is indeed to make
it look =E2=80=9Cpretty=E2=80=9D (i.e. some font and spacing improvements a=
nd very
subjective style changes that lean on what many users of Github and
Gitlab may be familiar with), it also provides features that
debbugs.gnu.org does not, such as listing =E2=80=9Cforgotten=E2=80=9D issue=
s, to search
without a somewhat complicated form, or the ability to comment from a
browser.

There is no good reason why this should not be usable by people who use
a simpler browser (I=E2=80=99m one of these people on some days).  If it tu=
rns
out to be tricky to implement or to cause a degraded experience for
those who use popular browsers we can still close this, but I think we
should at least try.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Sep 2020 21:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 17:52:00 2020
Received: from localhost ([127.0.0.1]:56559 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHwOG-0002iH-3V
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:52:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:51006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rekado@HIDDEN>) id 1kHwOE-0002i4-1A
 for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:51:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:50458)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kHwOD-0006Oo-Op
 for bug-guix@HIDDEN; Mon, 14 Sep 2020 17:51:57 -0400
Received: from sender4-of-o51.zoho.com ([136.143.188.51]:21177)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rekado@HIDDEN>)
 id 1kHwOB-00079s-Po
 for bug-guix@HIDDEN; Mon, 14 Sep 2020 17:51:57 -0400
ARC-Seal: i=1; a=rsa-sha256; t=1600120311; cv=none; 
 d=zohomail.com; s=zohoarc; 
 b=fEFnWaDd3a55FKW3dzfTyTNy/ruCoYWGa0My4LEQ1Iacc52ZdYLmTsJn12hd5Lb4kdBUff5VI8o2Embab0puCooW99YxUvHj8HnOvpcIXzeDXIetXjXQ1btvX29O0lQiKYGW4wFOH1GKbpp27SdzSRKzsvrQsAZ0imZ3oKAIezc=
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=zohomail.com;
 s=zohoarc; t=1600120311;
 h=Content-Type:Content-Transfer-Encoding:Cc:Date:From:In-Reply-To:MIME-Version:Message-ID:References:Subject:To;
 bh=6rrFClMcP2HDrE94wqDGMPFhYX5MFednPcd9I2bmVxU=; 
 b=UOekNFC5Y3xEx4voHzMdJlgwSYoQrEupOkvUlHDYaR++z1NQ3hHr5WTJwQtH27pJ+KYv9ujtEXRYLvSza/I2ceTSXaOnPDri5SMdLkwb2azkDfIOiNXcOnqfcnpuObH1y5oMpj4VlG7wsJz2LoPnusUIBuP0YI1qEpecvIIK3as=
ARC-Authentication-Results: i=1; mx.zohomail.com;
 dkim=pass  header.i=elephly.net;
 spf=pass  smtp.mailfrom=rekado@HIDDEN;
 dmarc=pass header.from=<rekado@HIDDEN> header.from=<rekado@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1600120311; 
 s=zoho; d=elephly.net; i=rekado@HIDDEN;
 h=References:From:To:Cc:Subject:In-reply-to:Date:Message-ID:MIME-Version:Content-Type:Content-Transfer-Encoding;
 bh=6rrFClMcP2HDrE94wqDGMPFhYX5MFednPcd9I2bmVxU=;
 b=ZjD/UjputrfviUfCDK9YkYNc5uEvgsdvEOZsBQp84eN8ZFJgXbzywVIndfki3Reo
 wKrLyzlhaaXczS5EJqZ0WXCnqOnhi1hXKC3C8UAv46RuFbx7fHXcKcxmmjirkiNKtcG
 aGTZLMw3u1slbpZtkg49l9EWjDL3vp5EHhk3Ok0o=
Received: from localhost (p54ad4c23.dip0.t-ipconnect.de [84.173.76.35]) by
 mx.zohomail.com with SMTPS id 1600120309568502.5500625327003;
 Mon, 14 Sep 2020 14:51:49 -0700 (PDT)
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
 <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
User-agent: mu4e 1.4.13; emacs 27.1
From: Ricardo Wurmus <rekado@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-reply-to: <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
X-URL: https://elephly.net
X-PGP-Key: https://elephly.net/rekado.pubkey
X-PGP-Fingerprint: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
Date: Mon, 14 Sep 2020 23:53:06 +0200
Message-ID: <874ko0xby5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-ZohoMailClient: External
Received-SPF: pass client-ip=136.143.188.51; envelope-from=rekado@HIDDEN;
 helo=sender4-of-o51.zoho.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/14 15:46:00
X-ACL-Warn: Detected OS   = Linux 3.11 and newer [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Mark H Weaver <mhw@HIDDEN>, bug-guix@HIDDEN,
 Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


zimoun <zimon.toutoune@HIDDEN> writes:

> Dear Mark,
>
> On Mon, 14 Sep 2020 at 22:58, Mark H Weaver <mhw@HIDDEN> wrote:
>
>> For what it's worth: not everyone uses Emacs, and it would be good to
>> support users who choose to use simpler software.  I guess that it would
>> be quite easy to modify the software behind 'issues.guix.gnu.org' to
>> generate HTML that works well with simpler web browsers, so I'd prefer
>> to keep this bug open.  What do you think?
>
> I am not sure to understand.  Something that generates HTML that works
> well with simpler web browsers is <https://debbugs.gnu.org>, isn't it?
> From what I understand, the aim (and "raison d'=C3=A9tre) of
> <issues.guix.gnu.org> is to generate what is considered as "modern
> webapp".
>
> Therefore, what is the concrete request?
>
>  - read the Debbugs with a simple web browser?  Then the answer is
> <debbugs.gnu.org>.
>  - add a button in <issues.gnu.org> saying "simple html there" and
> redirecting to <debbugs.gnu.org>?  If yes, the source code to tweak is
> there <https://git.elephly.net/gitweb.cgi?p=3Dsoftware/mumi.git> and I
> agree it would be quite easy; I will give a try if no one beats me.
> :-)

As the primary author of mumi (the software behind issues.guix.gnu.org)
I agree with Mark and think this is worth fixing.  I don=E2=80=99t want peo=
ple
to have to use debbugs.gnu.org with its different features when we could
just make issues.guix.gnu.org do the right thing on simpler browsers.

issues.guix.gnu.org is supposed to offer a =E2=80=9Csuperior=E2=80=9D exper=
ience to
debbugs.gnu.org =E2=80=94 it is supposed to be sufficient to replace it, no=
t to
be merely an alternative view; while a primarily goal is indeed to make
it look =E2=80=9Cpretty=E2=80=9D (i.e. some font and spacing improvements a=
nd very
subjective style changes that lean on what many users of Github and
Gitlab may be familiar with), it also provides features that
debbugs.gnu.org does not, such as listing =E2=80=9Cforgotten=E2=80=9D issue=
s, to search
without a somewhat complicated form, or the ability to comment from a
browser.

There is no good reason why this should not be usable by people who use
a simpler browser (I=E2=80=99m one of these people on some days).  If it tu=
rns
out to be tricky to implement or to cause a degraded experience for
those who use popular browsers we can still close this, but I think we
should at least try.

--=20
Ricardo




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 14 Sep 2020 21:18:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 17:18:14 2020
Received: from localhost ([127.0.0.1]:56525 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHvra-0001rV-8W
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:18:14 -0400
Received: from mail-qv1-f45.google.com ([209.85.219.45]:46922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kHvrW-0001rG-Ui
 for 43166 <at> debbugs.gnu.org; Mon, 14 Sep 2020 17:18:13 -0400
Received: by mail-qv1-f45.google.com with SMTP id di5so604863qvb.13
 for <43166 <at> debbugs.gnu.org>; Mon, 14 Sep 2020 14:18:10 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=+srCyS883PDTx4FbVCwvqIi+ngKZzGtXgVj5w5qCyb4=;
 b=vTmVW/a91EPxOfyIq++O3U93vOs3Iid59dgnRJ79AH1u2seehxmmMFvS/QwQhWasgf
 BJndXqM2CiQw5a9BeMv8O1TH4R+7uWCdVuremWT+cFhMWqb2i32WdEnEdE033BlG2Qj3
 k+MZ/qWNWOn+L86y9oyfMsObcPeiA5GnQd/HDQVeUiVu6HBi32S6zDUIdxAE9Pzmq0ri
 /bz3K7bnUksUfGcgjm8yPHpuICsGsSGbzseIafqqvmy6FAUWEjCWZbz5Xtb06yTowgNw
 rbXNXuh/YDEBNgPgM0gwFkRWPVa0WbDb2TR+r+dAdCyav93JzmKcCvFQDAukNbTL4wAr
 rYjQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=+srCyS883PDTx4FbVCwvqIi+ngKZzGtXgVj5w5qCyb4=;
 b=NaPz5WHKbWz52bmnMfO1ibvHb9xGvUVtm31NvuEOD2xvukpEY2HH+dlXgcc7o5WxcI
 cVlp2oCpNdRdQeASKKnKrR0YAx19Cd1GrZKj0qZwLJVlSuD+dzV3l9kCdn/cHkqOTw5Z
 bxnqJvzo4ufomQGldhTvQs4zaDBrnifr8D+Hy9h5ESeFU0qlP60G35fReeG00oWNO08D
 0mIHiM4hjzqyXUYcXBPehuh9VRrrTucPGhl1f+K9bDJimXtW310PNw42L0Z/olPQIgFX
 SkmoyyUnrf3YPWlA4m3z4srC6PzjtgC0ZLa0/aVKnwmeBoW0mDNMsDvpE+eO7fESVhkR
 ZtSQ==
X-Gm-Message-State: AOAM533mm5Avarsw9rQ/uc3iQISUBAxNCxnJv9lasUT2aoZ4dB6tIgUE
 C56TJd5gSaPq9TgI7Xu1haxWOC5KJwwyAMPVbbE=
X-Google-Smtp-Source: ABdhPJyU1iUIFcFgDxibu2N3yO2eUhN1K85KSwe6w4kuit4jpoGbB2iMIYUotZ4WpqRTC7KPdjLfIpBb6BHtBZ3RjcA=
X-Received: by 2002:a0c:db8d:: with SMTP id m13mr15744372qvk.88.1600118285276; 
 Mon, 14 Sep 2020 14:18:05 -0700 (PDT)
MIME-Version: 1.0
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
 <87een4f571.fsf@HIDDEN>
In-Reply-To: <87een4f571.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Mon, 14 Sep 2020 23:17:53 +0200
Message-ID: <CAJ3okZ1gAwuMN6qBY5ktgHbgULkCHjXy6++iJ18Kb-w=BGQPiQ@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
To: Mark H Weaver <mhw@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: Vitaliy Shatrov <guix.vits@HIDDEN>,
 Maxim Cournoyer <maxim.cournoyer@HIDDEN>, 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear Mark,

On Mon, 14 Sep 2020 at 22:58, Mark H Weaver <mhw@HIDDEN> wrote:

> For what it's worth: not everyone uses Emacs, and it would be good to
> support users who choose to use simpler software.  I guess that it would
> be quite easy to modify the software behind 'issues.guix.gnu.org' to
> generate HTML that works well with simpler web browsers, so I'd prefer
> to keep this bug open.  What do you think?

I am not sure to understand.  Something that generates HTML that works
well with simpler web browsers is <https://debbugs.gnu.org>, isn't it?
From what I understand, the aim (and "raison d'=C3=A9tre) of
<issues.guix.gnu.org> is to generate what is considered as "modern
webapp".

Therefore, what is the concrete request?

 - read the Debbugs with a simple web browser?  Then the answer is
<debbugs.gnu.org>.
 - add a button in <issues.gnu.org> saying "simple html there" and
redirecting to <debbugs.gnu.org>?  If yes, the source code to tweak is
there <https://git.elephly.net/gitweb.cgi?p=3Dsoftware/mumi.git> and I
agree it would be quite easy; I will give a try if no one beats me.
:-)

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 14 Sep 2020 20:57:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 16:57:15 2020
Received: from localhost ([127.0.0.1]:56449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHvXH-0001I6-4M
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 16:57:15 -0400
Received: from world.peace.net ([64.112.178.59]:35922)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kHvXF-0001HR-IU
 for 43166 <at> debbugs.gnu.org; Mon, 14 Sep 2020 16:57:14 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kHvX9-0008Cu-AI; Mon, 14 Sep 2020 16:57:07 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Maxim Cournoyer <maxim.cournoyer@HIDDEN>, Vitaliy Shatrov
 <guix.vits@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <87ft7k5x45.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN> <87ft7k5x45.fsf@HIDDEN>
Date: Mon, 14 Sep 2020 16:55:51 -0400
Message-ID: <87een4f571.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Maxim Cournoyer <maxim.cournoyer@HIDDEN> writes:

> Vitaliy Shatrov <guix.vits@HIDDEN> writes:
>
> Closing since a dedicated tool for use in Emacs (emacs-debbugs) exists,
> which works around the shortcomings of the Emacs web browsers (Probably
> CSS related, as Mark pointed out).

For what it's worth: not everyone uses Emacs, and it would be good to
support users who choose to use simpler software.  I guess that it would
be quite easy to modify the software behind 'issues.guix.gnu.org' to
generate HTML that works well with simpler web browsers, so I'd prefer
to keep this bug open.  What do you think?

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166-done <at> debbugs.gnu.org:


Received: (at 43166-done) by debbugs.gnu.org; 14 Sep 2020 13:02:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 14 09:02:43 2020
Received: from localhost ([127.0.0.1]:53060 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHo83-0004VH-8X
	for submit <at> debbugs.gnu.org; Mon, 14 Sep 2020 09:02:43 -0400
Received: from mail-qt1-f178.google.com ([209.85.160.178]:36288)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maxim.cournoyer@HIDDEN>) id 1kHo81-0004QA-II
 for 43166-done <at> debbugs.gnu.org; Mon, 14 Sep 2020 09:02:42 -0400
Received: by mail-qt1-f178.google.com with SMTP id n10so13336318qtv.3
 for <43166-done <at> debbugs.gnu.org>; Mon, 14 Sep 2020 06:02:41 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=ERz3r7GS2huq8Hc7OgSmJ7fd0bha/mXLbijaWwrCgj4=;
 b=ESCc5Ivy4X2v+uTuJDwzyxfK5i/u2lI3cAlbuqfHAAWHR3/zxqpele1rC4q+OqJWHk
 a7xOADQleRhsYmbC6xXaVXsl0XTB1d0BCZn1XjkaoE0Xthq/I+yK0QdoqThm09PumT6+
 Cn6aPiU6DdLqUu4NYns4WWLxe6ttTgc0nmDCagjILNs/q5M7VljIfcKi41Vj0suB6y6S
 IRlPuiKwzCoh7qc2RwTwYKnuq9Q9yeh2Ru/AsF881N6JGgGE8NpDWkCWT3tW4iGg/5FQ
 HYp+w69NVSIJ7xHF2cLGVcS4Ojk0DMnlNyijyFdMF2Ri2xR6vk+T24uwJ5Y8k4LbsDL6
 7AjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=ERz3r7GS2huq8Hc7OgSmJ7fd0bha/mXLbijaWwrCgj4=;
 b=HjISXpZGbxz+thKRJF4HRco4rHWWfflFWAj6rwpV0ieUwzcG3zpB/S3I1Me8DSmRU0
 iaZ/E+7SLkdxg3FEX8oM5TF8WwSfg3A1WqPnkbc6wCiDrurjmqqeKxP/vVhWucP64jcA
 N3jR7ZpkAjDjxRLawXRo/G/1l8WwyqBhPTboFKupi5OG68FJrhCOV1MpX3smPXZ4zoT8
 h2cFNFSXhz7bm2/83V0KqpNna+yBoU/AwKB+YzfUbe1mV5mdJNNzCokYouxHc+rbzqCA
 hjfKWFFkyXLnrYvE2ThukOaCNtRYA041ctbLZAJno/dGvZqCZr5U1OlYLve7HOqfMAVg
 K8YA==
X-Gm-Message-State: AOAM530jbQEdSLBhdAgNLB8zrEGWbKF5c9r3jy9pyubgOfZlLZ1uOAh0
 /j0q3FHlxVCs91teF9lX4sKZEDN+yS8UYw==
X-Google-Smtp-Source: ABdhPJx9fzmEMMxuw0rVBFhSX/GHl5aDtjPV1zm4NyYvd/MrCdBU0GBchXYmXmoF/Bu1Dt41L9gWXg==
X-Received: by 2002:ac8:7b95:: with SMTP id p21mr12753398qtu.139.1600088554864; 
 Mon, 14 Sep 2020 06:02:34 -0700 (PDT)
Received: from hurd (dsl-205-233-124-4.b2b2c.ca. [205.233.124.4])
 by smtp.gmail.com with ESMTPSA id l5sm14247621qtc.28.2020.09.14.06.02.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 14 Sep 2020 06:02:34 -0700 (PDT)
From: Maxim Cournoyer <maxim.cournoyer@HIDDEN>
To: Vitaliy Shatrov <guix.vits@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 <87o8mk71f4.fsf@HIDDEN>
Date: Mon, 14 Sep 2020 09:03:22 -0400
In-Reply-To: <87o8mk71f4.fsf@HIDDEN> (Vitaliy Shatrov's message of "Sat, 
 05 Sep 2020 21:17:51 +0700")
Message-ID: <87ft7k5x45.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166-done
Cc: 43166-done <at> debbugs.gnu.org, zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Vitaliy,

Vitaliy Shatrov <guix.vits@HIDDEN> writes:

Closing since a dedicated tool for use in Emacs (emacs-debbugs) exists,
which works around the shortcomings of the Emacs web browsers (Probably
CSS related, as Mark pointed out).

Thanks,

Maxim




Notification sent to Vitaliy Shatrov <guix.vits@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Maxim Cournoyer <maxim.cournoyer@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 5 Sep 2020 14:17:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 05 10:17:10 2020
Received: from localhost ([127.0.0.1]:43741 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kEZ0A-0006O6-0r
	for submit <at> debbugs.gnu.org; Sat, 05 Sep 2020 10:17:10 -0400
Received: from knopi.disroot.org ([178.21.23.139]:43698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix.vits@HIDDEN>) id 1kEZ08-0006Li-36
 for 43166 <at> debbugs.gnu.org; Sat, 05 Sep 2020 10:17:09 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id 996A7529E7;
 Sat,  5 Sep 2020 16:17:06 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id wCjF1av8aWzh; Sat,  5 Sep 2020 16:17:05 +0200 (CEST)
From: Vitaliy Shatrov <guix.vits@HIDDEN>
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1599315425; bh=3EQFU2R1N8g1IftoF/hQlWtVGxDncfQD+MoBY8XCncs=;
 h=From:To:Cc:Subject:References:Date:In-Reply-To;
 b=YekknAaKCZBTW9c3plNbgiUFVjmUeFWbU3ATS9uJXA9O/RlUQN1w1EBEtwfvRIbUd
 IogH5V3sVPCJRzvdI5rxyS04iAFfa8T3MLGLQjEKYkWMVsu4lwQZ2wL7BszRctVADU
 PfYybIDiSBhqGv7r0wtZWd80ISpYRcbMdvOmwQL7Luj28nk0NYvUzwcA9bisxb5ILB
 sSTmKpgq7KMnAQuUOtnQm4cNwzjJ/0yy2gZDYYDPRalGTaizF6KzNsTlFebdZGlIfp
 EzErQyu2gWWl0RWz58KeHfNHYL/c6pFVgVNGT64qYoKloPGpEsGsmC3MwvBwNqPhgO
 cgXv8ZfHZcffA==
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
Date: Sat, 05 Sep 2020 21:17:51 +0700
In-Reply-To: <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
 (zimoun's message of "Thu, 3 Sep 2020 18:11:35 +0200")
Message-ID: <87o8mk71f4.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Really i was a fool.
Thanks for suggesting a tool.
No more dances with web-faces.




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 3 Sep 2020 16:11:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 03 12:11:55 2020
Received: from localhost ([127.0.0.1]:35993 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDrq6-0003TE-Pd
	for submit <at> debbugs.gnu.org; Thu, 03 Sep 2020 12:11:55 -0400
Received: from mail-qk1-f180.google.com ([209.85.222.180]:36517)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1kDrq4-0003T1-MB
 for 43166 <at> debbugs.gnu.org; Thu, 03 Sep 2020 12:11:54 -0400
Received: by mail-qk1-f180.google.com with SMTP id f2so3593007qkh.3
 for <43166 <at> debbugs.gnu.org>; Thu, 03 Sep 2020 09:11:52 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=nnWkRsrR699c1d63eH2F/cxRozUB57ldAg87LjdRklI=;
 b=YBNaFYwKGZcsDRhwzNMxXZSF4gvqRXB9miXHCgZMkdYwHP4xjmrSIt7BwDqxZO1jSD
 sZ9o7D394/X5Jl6wJXQNxIuWJFR7Ph73OTe7wor7rximXHRy+pApQLMGyd0mN1WgN1S0
 1MTRdv7xOaQAuheT/JEKiWG7oGfX+vtt8NzFPicqvDLENbyU+ia05qeSc3MVYXBT6JF4
 S5FXsWDTcwRs6+spgnMEDdjJlDdmNEi3/Pvw6ww/T0Tcr8ll9RaFuUlCS2vPm4tE2VpW
 O6lgzlss1n5GgFa9oNXnO6o1YJFgvnOXiRwr+GzvuuTCTOLeDFtPTmmTSwxdiWXXO3ap
 hFcw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=nnWkRsrR699c1d63eH2F/cxRozUB57ldAg87LjdRklI=;
 b=kVDHXtnwy2bfie6jF3jLLHAGkiYcVih3ZdBCMYE3tujPU7bJYJMvgOxfypK9fzFdz2
 s5T2ctQhlVBK2GwYEJg2vd8bUOVSWqcxMKy9TQrmQySwlOhwLa5Ah1Y1/BP+h/sqavrO
 2AglsTs0l1bzm+8CnBY8MufmykYBh5VRIO/CY76gOhgr8zpT3pbwweP6CrymJ+Qu88R9
 Bj6IaJrBSr/ZQProUoJLb9m/zhFucVYIoGcWVmKoqrkYbX5jooxe7mFIuTTzgmkI/xCM
 k0PU5DKEl0hxgmKOvzy5jRbcKZITnziYPRV9KvY5eJyX9+SSvavCjPTKmy/0JQCKGyhG
 45+Q==
X-Gm-Message-State: AOAM53280vnl2MG3OZRZR5kLO8qY66NsZXFpX6aEtIDUGtzAcM9apNaW
 Dyj54mWvKDLYqvcwriWM58kWTotyspMday2dOdw=
X-Google-Smtp-Source: ABdhPJxxhkAy/6tCGG3AEQcxIiqDqYZpk1PlVjZfh9cwCh9pzz/n1RjlMbi4T6BdWaX1v1zox1CRQbtrPC/l0kvhWGo=
X-Received: by 2002:a05:620a:53a:: with SMTP id
 h26mr3907094qkh.232.1599149507265; 
 Thu, 03 Sep 2020 09:11:47 -0700 (PDT)
MIME-Version: 1.0
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
In-Reply-To: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Thu, 3 Sep 2020 18:11:35 +0200
Message-ID: <CAJ3okZ1yGdsZx6pqMkYPQGFHWcQ=uCtBJA0aNE+kNVRAYC=UHQ@HIDDEN>
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
To: Vitaliy Shatrov <guix.vits@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
Cc: 43166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Dear,

If you use Emacs, you should try the package emacs-debbugs.
Then: C-u M-x debbugs-gnu guix,guix-patches n y and last M-x
debbugs-gnu-bugs 43159

It does not solve the CSS and/or Javascript issue but it clearly eases
the readings of bug reports with Emacs.

All the best,
simon




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 2 Sep 2020 18:19:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 14:19:25 2020
Received: from localhost ([127.0.0.1]:60673 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDXLx-0005qY-Dx
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 14:19:25 -0400
Received: from world.peace.net ([64.112.178.59]:48870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kDXLv-0005qK-Le
 for 43166 <at> debbugs.gnu.org; Wed, 02 Sep 2020 14:19:24 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kDXLp-0004Ez-Dk; Wed, 02 Sep 2020 14:19:17 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Vitaliy Shatrov <guix.vits@HIDDEN>, 43166 <at> debbugs.gnu.org
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <87eenk148g.fsf@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
 <87eenk148g.fsf@HIDDEN>
Date: Wed, 02 Sep 2020 14:18:09 -0400
Message-ID: <875z8w11qb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Earlier, I wrote:
> I see similar problems with both 'lynx' and 'dillo' when remote CSS is
> disabled.

To be clear, Lynx doesn't have CSS support, so it's unable to properly
render 'issues.guix.gnu.org'.  Dillo can render it unless remote CSS is
disabled.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at 43166 <at> debbugs.gnu.org:


Received: (at 43166) by debbugs.gnu.org; 2 Sep 2020 17:25:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 13:25:21 2020
Received: from localhost ([127.0.0.1]:60622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDWVd-0004ZM-88
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 13:25:21 -0400
Received: from world.peace.net ([64.112.178.59]:48738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1kDWVb-0004Z5-Ag
 for 43166 <at> debbugs.gnu.org; Wed, 02 Sep 2020 13:25:19 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.92)
 (envelope-from <mhw@HIDDEN>)
 id 1kDWVV-0003im-0Y; Wed, 02 Sep 2020 13:25:13 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Vitaliy Shatrov <guix.vits@HIDDEN>, 43166 <at> debbugs.gnu.org
Subject: Re: bug#43166: The issues.guix.gnu.org is hard to read in emacs-w3m.
In-Reply-To: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
References: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
Date: Wed, 02 Sep 2020 13:24:04 -0400
Message-ID: <87eenk148g.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43166
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vitaliy Shatrov <guix.vits@HIDDEN> writes:

> Hello again dear Guixen.
> I use emacs-w3m as a browser on  a single board computer.  I want to read, for example, issue #43159.
>
> I can read it on https://debbugs.gnu.org/43159.  It's formatted properly, and the patch is readable too.
>
> But the https://issues.guix.gnu.org/43159
> is barely readable, and the patch is unreadable at all.  Even quoted text appear as:
>> line > another line > more lines..

I see similar problems with both 'lynx' and 'dillo' when remote CSS is
disabled.  As you point out, https://debbugs.gnu.org/ works much better
for simpler web browsers.

> I think the issues.guix.gnu.org should automatically append a link to
> the debbugs.gnu.org, for all issues.  It can be named like <a>No-JS
> version here</a>, or so.

I haven't looked carefully, but the issue seems to be related to CSS,
not Javascript.

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Sep 2020 05:15:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 02 01:15:00 2020
Received: from localhost ([127.0.0.1]:57947 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kDL6p-0007Lj-NW
	for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 01:15:00 -0400
Received: from lists.gnu.org ([209.51.188.17]:36552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guix.vits@HIDDEN>) id 1kDL6m-0007LY-1e
 for submit <at> debbugs.gnu.org; Wed, 02 Sep 2020 01:14:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55416)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix.vits@HIDDEN>)
 id 1kDL6l-0000Ph-Sx
 for bug-guix@HIDDEN; Wed, 02 Sep 2020 01:14:55 -0400
Received: from knopi.disroot.org ([178.21.23.139]:44418)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guix.vits@HIDDEN>)
 id 1kDL6j-00055z-Bv
 for bug-guix@HIDDEN; Wed, 02 Sep 2020 01:14:55 -0400
Received: from localhost (localhost [127.0.0.1])
 by disroot.org (Postfix) with ESMTP id B89B6529AF
 for <bug-guix@HIDDEN>; Wed,  2 Sep 2020 07:14:49 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at disroot.org
Received: from knopi.disroot.org ([127.0.0.1])
 by localhost (disroot.org [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id J6ZqG-bXLZ1G for <bug-guix@HIDDEN>;
 Wed,  2 Sep 2020 07:14:48 +0200 (CEST)
Date: Wed, 02 Sep 2020 12:16:06 +0700
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=disroot.org; s=mail;
 t=1599023688; bh=M1Z69vQgyv64O9gJwHttXaaqXpn1Wl+/myTYA26s8WE=;
 h=Date:Subject:To:From;
 b=YhvLqK1HBBzdYyOZsxS9dre7wYFIxiYJCyJHI8i8n67ES6EsohZg3FYsolMWRySnX
 YX4HajETAggvqMHc7DNQV3BZeSPjbd63YuAPiYzCTa4JHJUHLNvU3Rycf78nFwPNCx
 6o4dXiD8FtvPdi96Mnuc8Fze19fbojqsJn99e84WvdEk7W6/J4oQb7RzDCfPikY00n
 Ez2C5EGuUOU23SF5e46mX2CpsV8sQE4vEiC/Gkz10A9eeVs0AAnF8+Cs31lVybJho+
 yYGT4xFqHoToMnqUhG9Ghgay/ffX95nY5ENBvsylEZT5zRhAA5e7GxWMZSE+P/1Co7
 glNqHOvwewsEA==
Mime-Version: 1.0
Content-Type: multipart/alternative;
 boundary="----X18RL59Q9YR8N6EVVEO9TXGQ9OUULQ"
Content-Transfer-Encoding: 7bit
Subject: The issues.guix.gnu.org is hard to read in emacs-w3m.
To: bug-guix@HIDDEN
From: Vitaliy Shatrov <guix.vits@HIDDEN>
Message-ID: <73F56D6B-6448-44C2-8EB9-23AE854AD4CF@HIDDEN>
Received-SPF: pass client-ip=178.21.23.139; envelope-from=guix.vits@HIDDEN;
 helo=knopi.disroot.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/02 01:14:49
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H4=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

------X18RL59Q9YR8N6EVVEO9TXGQ9OUULQ
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello again dear Guixen=2E
I use emacs-w3m as a browser on  a single board computer=2E  I want to rea=
d, for example, issue #43159=2E

I can read it on https://debbugs=2Egnu=2Eorg/43159=2E  It's formatted prop=
erly, and the patch is readable too=2E

But the https://issues=2Eguix=2Egnu=2Eorg/43159
is barely readable, and the patch is unreadable at all=2E  Even quoted tex=
t appear as:
> line > another line > more lines=2E=2E

I think the issues=2Eguix=2Egnu=2Eorg  should automatically append a link =
to the debbugs=2Egnu=2Eorg, for all issues=2E  It can be named like <a>No-J=
S version here</a>, or so=2E

The Links browser also can't show issues=2Eguix=2Egnu=2Eorg properly for n=
ow=2E

Thanks=2E
--=20
Sent from my Android device with K-9 Mail=2E Please excuse my brevity=2E
------X18RL59Q9YR8N6EVVEO9TXGQ9OUULQ
Content-Type: text/html;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hello again dear Guixen=2E<br>I use emacs-w3m as a browser on  a single boa=
rd computer=2E  I want to read, for example, issue #43159=2E<br><br>I can r=
ead it on <a href=3D"https://debbugs=2Egnu=2Eorg/43159=2E">https://debbugs=
=2Egnu=2Eorg/43159=2E</a>  It's formatted properly, and the patch is readab=
le too=2E<br><br>But the <a href=3D"https://issues=2Eguix=2Egnu=2Eorg/43159=
">https://issues=2Eguix=2Egnu=2Eorg/43159</a><br>is barely readable, and th=
e patch is unreadable at all=2E  Even quoted text appear as:<br>&gt; line &=
gt; another line &gt; more lines=2E=2E<br><br>I think the issues=2Eguix=2Eg=
nu=2Eorg  should automatically append a link to the debbugs=2Egnu=2Eorg, fo=
r all issues=2E  It can be named like &lt;a&gt;No-JS version here&lt;/a&gt;=
, or so=2E<br><br>The Links browser also can't show issues=2Eguix=2Egnu=2Eo=
rg properly for now=2E<br><br>Thanks=2E<br>-- <br>Sent from my Android devi=
ce with K-9 Mail=2E Please excuse my brevity=2E
------X18RL59Q9YR8N6EVVEO9TXGQ9OUULQ--




Acknowledgement sent to Vitaliy Shatrov <guix.vits@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#43166; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 15 Sep 2020 13:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.